import type { Room } from "matrix-js-sdk/src/models/room";
import type { RoomMember } from "matrix-js-sdk/src/models/room-member";
import type { MatrixEvent } from "matrix-js-sdk/src/models/event";
import { Call, ConnectionState } from "../../src/models/Call";
export declare class MockedCall extends Call {
    readonly event: MatrixEvent;
    static readonly EVENT_TYPE = "org.example.mocked_call";
    readonly STUCK_DEVICE_TIMEOUT_MS: number;
    private constructor();
    static get(room: Room): MockedCall | null;
    static create(room: Room, id: string): void;
    get groupCall(): MatrixEvent;
    get participants(): Set<RoomMember>;
    set participants(value: Set<RoomMember>);
    setConnectionState(value: ConnectionState): void;
    protected getDevices(): string[];
    protected setDevices(): Promise<void>;
    performConnection(): Promise<void>;
    performDisconnection(): Promise<void>;
    destroy(): void;
}
/**
 * Sets up the call store to use mocked calls.
 */
export declare const useMockedCalls: () => void;
